Bug 495365 - yum sorts packages to download by size
yum sorts packages to download by size
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 07:38 EDT by JanS
Modified: 2014-01-21 18:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 13:00:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JanS 2009-04-12 07:38:14 EDT
Why yum sorts packages?

It would be more useful to sort from smallest independent dependency tree. To be able to install whole clump completely even after downloading is interrupted.

Or to not sort in any way to have constant rate of progress bars. 

Or if not sorting wont have such effect, to introduce sorting that way, to ensure constant rate.

I cannot find any justification for current behaviour (to sort from smallest to largest).
Comment 1 Andre Robatino 2009-04-12 11:49:34 EDT
I remember reading somewhere that the justification was that if the download was interrupted, one would have the largest possible number of downloaded packages.  I'm not sure if I buy that as a good enough reason.  Interestingly, the most recent rawhide version of yum has reverted to downloading packages alphabetically rather than in order of increasing size.  Don't know yet whether that's deliberate or a regression.
Comment 2 James Antill 2009-04-13 13:00:01 EDT
 We don't currently know the "smallest independent dependency tree", so we can't currently sort that way. When we can get that info., we might change it ... feel free to open an RFE at that time (although plugins make this somewhat painful).

> Interestingly, the most recent rawhide version of yum has reverted to
> downloading packages alphabetically

 This was changed explicitly to reduce the number of BZs like this.
Comment 3 Alexey Kuznetsov 2009-05-10 03:58:32 EDT
Is here any plugin to make yum sort packages by size :) i really love this feature?

Note You need to log in before you can comment on or make changes to this bug.